Skip to main content
POST
/
v1
/
x
/
translate
Translate
curl --request POST \
  --url https://api.agntdata.dev/v1/x/translate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dest": "en",
  "text": "Moi je vous dis que la table ronde du #PPF @ParisPeaceForum β€œNavigating the #AI revolution” oΓΉ il y avait notamment @ylecun (Meta) @BradSmi (Microsoft) et @ianbremmer est assurΓ©ment Γ  réécouter en replay. (Oui, cela a un peu clashΓ©)."
}
'
{
  "destination_language": "en",
  "original_language": "fr",
  "original_text": "Moi je vous dis que la table ronde du #PPF @ParisPeaceForum β€œNavigating the #AI revolution” oΓΉ il y avait notamment @ylecun (Meta) @BradSmi (Microsoft) et @ianbremmer est assurΓ©ment Γ  réécouter en replay. (Oui, cela a un peu clashΓ©).",
  "translated_text": "I tell you that the round table of the #PPF @ParisPeaceForum β€œNavigating the #AI revolution” where there was notably @ylecun (Meta) @BradSmi (Microsoft) and @ianbremmer is certainly worth listening to on replay.(Yes, it clashed a bit)."
}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json
dest
string
text
string

Response

200 - application/json

200

destination_language
string
original_language
string
original_text
string
translated_text
string